Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(172)

Issue 23865004: Add SkCanvasStack and update the Canvas utilities to use it. (Closed)

Created:
6 years, 1 month ago by djsollen
Modified:
5 years, 10 months ago
Reviewers:
reed1
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

Add SkCanvasStack and update the Canvas utilities to use it. BUG= R=reed@google.com Committed: https://code.google.com/p/skia/source/detail?r=11081

Patch Set 1 #

Patch Set 2 : #

Total comments: 9

Patch Set 3 : #

Patch Set 4 : comments #

Total comments: 5
Unified diffs Side-by-side diffs Delta from patch set Stats (+262 lines, -9 lines) Patch
M gyp/utils.gyp View 1 chunk +2 lines, -0 lines 0 comments Download
M include/utils/SkNWayCanvas.h View 2 chunks +5 lines, -4 lines 0 comments Download
A src/utils/SkCanvasStack.h View 1 2 3 1 chunk +52 lines, -0 lines 2 comments Download
A src/utils/SkCanvasStack.cpp View 1 2 3 1 chunk +108 lines, -0 lines 3 comments Download
M src/utils/SkCanvasStateUtils.cpp View 1 2 2 chunks +5 lines, -4 lines 0 comments Download
M tests/CanvasStateTest.cpp View 1 3 chunks +90 lines, -1 line 0 comments Download

Messages

Total messages: 6 (0 generated)
djsollen
6 years, 1 month ago (2013-09-04 12:51:15 UTC) #1
reed1
https://codereview.chromium.org/23865004/diff/3001/src/utils/SkCanvasStack.cpp File src/utils/SkCanvasStack.cpp (right): https://codereview.chromium.org/23865004/diff/3001/src/utils/SkCanvasStack.cpp#newcode17 src/utils/SkCanvasStack.cpp:17: void SkCanvasStack::pushCanvas(SkCanvas* canvas, SkIPoint origin) { nit: const SkIPoint& ...
6 years, 1 month ago (2013-09-04 13:00:56 UTC) #2
djsollen
https://codereview.chromium.org/23865004/diff/3001/src/utils/SkCanvasStack.cpp File src/utils/SkCanvasStack.cpp (right): https://codereview.chromium.org/23865004/diff/3001/src/utils/SkCanvasStack.cpp#newcode17 src/utils/SkCanvasStack.cpp:17: void SkCanvasStack::pushCanvas(SkCanvas* canvas, SkIPoint origin) { On 2013/09/04 13:00:56, ...
6 years, 1 month ago (2013-09-04 13:34:43 UTC) #3
reed1
lgtm w/ some nits/questions https://codereview.chromium.org/23865004/diff/9001/src/utils/SkCanvasStack.cpp File src/utils/SkCanvasStack.cpp (right): https://codereview.chromium.org/23865004/diff/9001/src/utils/SkCanvasStack.cpp#newcode82 src/utils/SkCanvasStack.cpp:82: clipToZOrderedBounds(); nit: this->clipToZOrderedBounds() https://codereview.chromium.org/23865004/diff/9001/src/utils/SkCanvasStack.cpp#newcode99 src/utils/SkCanvasStack.cpp:99: ...
6 years, 1 month ago (2013-09-04 15:00:00 UTC) #4
djsollen
Committed patchset #4 manually as r11081 (presubmit successful).
6 years, 1 month ago (2013-09-04 17:16:07 UTC) #5
bungeman-skia
5 years, 10 months ago (2013-12-02 18:34:18 UTC) #6
Message was sent while issue was closed.
https://codereview.chromium.org/23865004/diff/9001/src/utils/SkCanvasStack.cpp
File src/utils/SkCanvasStack.cpp (right):

https://codereview.chromium.org/23865004/diff/9001/src/utils/SkCanvasStack.cp...
src/utils/SkCanvasStack.cpp:38:
fList[i-i]->clipRegion(fCanvasData[i-1].requiredClip);
i-i

Powered by Google App Engine
This is Rietveld 408576698